include	clib.inc
include	wsub.inc
include	fblk.inc

	extrn	notsup:DIST

PPROC	wsdecomp, wsub:dword, fblk:dword, out_path:dword
      ifdef __ZIP__
	les bx,fblk
	.if es:[bx.fb_flag] & _A_ARCHIVE
	    invoke wzipcopy, wsub, fblk, out_path
	.else
	    call notsup
	    mov ax,-1
	.endif
      endif
	ret
PEND	wsdecomp

	END
